RENICE(1)

NAME
renice - alter priority of running processes

SYNOPSIS
renice priority [[-p] pids] [[-g] pgrps] [[-u] users]

renice [-n increment] [-g|-p|-u] ID

DESCRIPTION
The renice command alters the scheduling priority of one or more running processes. The ID parameters are interpreted as process IDs, process group IDs, or user names. Renicing a process group causes all processes in the process group to have their scheduling priority altered. Renicing a user causes all processes owned by the user to have their scheduling priority altered. By default, the processes to be affected are specified by their process IDs.

Users without appropriate privileges may only alter the priority of processes they own, and can only monotonically increase their ``nice value'' within the range 0 to 19. (This prevents overriding administrative fiats.) Users with appropriate privileges may alter the priority of any process and set the priority to any value in the range -20 to 19. Useful priorities are: 19 (the affected processes will run only when nothing else in the system wants to), 0 (the ``base'' scheduling priority), anything negative (to make things go very fast).

The renice command accepts the following options:

-g  The following arguments will be interpreted as process group IDs.

-n increment
    Specifies the increment to add to the current priority of the process with the highest priority (lowest numerical value) of the selection. Without this option, 10 is used as increment.

-p  The following arguments will be interpreted as process IDs.

-u  The following arguments will be interpreted as user names or numerical user IDs.

In the first synopsis form, priority specifies the absolute value to set. The default is 10. If more than one of -g, -p or -u are given, each option applies to the following arguments until the next option is detected.

In the second synopsis form, which was introduced by POSIX.2, only one of -g, -p or -u may be given.

SEE ALSO
nice(1), priocntl(1), getpriority(2), setpriority(2)